<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "sqlQuery.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:variable name="SQL_QUERY_OUTPUT"><xsl:text>&sqlQuery.label;</xsl:text></xsl:variable>

	<xsl:template match="sqlquery" mode="summary">
		<xsl:call-template name="processSummaryRow" />
	</xsl:template>

	<xsl:template match="sqlquery" mode="label">
		<xsl:value-of select="$SQL_QUERY_OUTPUT" />
	</xsl:template>

	<xsl:template match="sqlquery">
		<xsl:call-template name="addActionInfo" />
		<table class="faux">
			<xsl:call-template name="reportSQLStatement" />
			<xsl:call-template name="reportCommonInfo" />
			<xsl:call-template name="reportActionMessages" />
		</table>
		<xsl:call-template name="reportResults" />
	</xsl:template>

</xsl:stylesheet>
